## org.openorb.compiler.idl.reflect
Interface idlConst

All Superinterfaces:
  idlObject

All Known Implementing Classes:
  IdlConst

public interface idlConst
extends idlObject

This interface is implemented by all objects that represent an IDL constant

Version:
  $Revision: 1.4 $ $Date: 2002/08/21 08:19:21 $
Author:
  Jerome Daniel

Method Summary
`idlObject` `constantType()` Return the constant type
`java.lang.String` `expression()` Return the constant expression
`java.lang.Object` `value()` Return the constant value

Methods inherited from interface org.openorb.compiler.idl.reflect.idlObject
`containsObject, content, filter, idlConcreteType, idlDefinedIn, idlFinalType, idlID, idlName, idlType, included`

Method Detail

### expression

    public java.lang.String expression()

  Return the constant expression

### value

    public java.lang.Object value()

  Return the constant value

### constantType

    public idlObject constantType()

  Return the constant type